function out = calc_pole_ana(vGamma, t_pole, vSing)
out = zeros(size(vSing));
bMin = vSing == -0.5;
bPls = ~bMin;
if any(bMin)
    t_pole_sqrt = -sqrt(t_pole(bMin));
    erfarg = vGamma(bMin).^0.5.*t_pole_sqrt;
    out(bMin) = pi./t_pole_sqrt.*exp(-vGamma(bMin).*t_pole(bMin)).*(j-erfi(erfarg));
end

if any(bPls)
    t_pole_sqrt = -sqrt(t_pole(bPls));
    a = vGamma(bPls);
    x0 = t_pole(bPls);
    out(bPls) = pi^(1/2)./a.^(1/2)-pi.*t_pole_sqrt./exp(a.*x0).*erfi(a.^(1/2).*t_pole_sqrt)-1./(-1)^(1/2).*t_pole_sqrt.*pi./exp(a.*x0);
end
